Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jacob.vpu
Class Statistics

    java.lang.Object
      org.apache.ode.jacob.vpu.Statistics

    public class Statistics

extends java.lang.Object

Statistics for the Jacob VPU.

Nested Class Summary
`static class` | `Statistics.PerTargetStatistics`

Field Summary
`java.util.Map<java.lang.String,Statistics.PerTargetStatistics>` | `byTarget` Total time spent in each `org.apache.ode.jacob.JavaMethodBody` method.
`long` | `channelsCreated` Number of channels created.
`long` | `messagesRcvd` Number of messsages received.
`long` | `messagesSent` Number of messages sent.
`long` | `numContinuations` Number of continuations.
`long` | `numCycles` Number of VPU cycles.
`long` | `numReductionsComm` Total number of communication reductions.
`long` | `numReductionsStruct` Total number of structural reductions.
`long` | `runQueueEntries` Number of enqueues to the run queue.
`long` | `totalClientTimeMs` Total time spent in client code (in ms).
`long` | `totalContinuationBytes` Total size of all _continuation (in bytes).
`long` | `totalRunTimeMs` Total VPU run time (in ms).

Constructor Summary
`Statistics()`

Method Summary
`double` | `getAvgClientTimeMs()` DOCUMENTME
`double` | `getAvgContinuationSize()` DOCUMENTME
`double` | `getAvgKernelTimeMs()` DOCUMENTME
`double` | `getAvgRunTimeMs()` DOCUMENTME
`long` | `getKernelTimeMs()` DOCUMENTME
`void` | `incRunTime(java.lang.String target, long runTimeMs)` DOCUMENTME
`void` | `printToStream(java.io.PrintStream ps)` Print the statistics to an output stream in english human-readable form.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numCycles

    public long numCycles

  Number of VPU cycles.

### totalRunTimeMs

    public long totalRunTimeMs

  Total VPU run time (in ms).

### channelsCreated

    public long channelsCreated

  Number of channels created.

### messagesSent

    public long messagesSent

  Number of messages sent.

### messagesRcvd

    public long messagesRcvd

  Number of messsages received.

### numContinuations

    public long numContinuations

  Number of continuations.

### totalContinuationBytes

    public long totalContinuationBytes

  Total size of all _continuation (in bytes).

### runQueueEntries

    public long runQueueEntries

  Number of enqueues to the run queue.

### numReductionsComm

    public long numReductionsComm

  Total number of communication reductions.

### numReductionsStruct

    public long numReductionsStruct

  Total number of structural reductions.

### totalClientTimeMs

    public long totalClientTimeMs

  Total time spent in client code (in ms).

### byTarget

    public final java.util.Map<java.lang.String,Statistics.PerTargetStatistics> byTarget

  Total time spent in each `org.apache.ode.jacob.JavaMethodBody` method.

Constructor Detail

### Statistics

    public Statistics()

Method Detail

### getAvgClientTimeMs

    public double getAvgClientTimeMs()

  DOCUMENTME

  Returns:
    DOCUMENTME

### getAvgContinuationSize

    public double getAvgContinuationSize()

  DOCUMENTME

  Returns:
    DOCUMENTME

### getAvgKernelTimeMs

    public double getAvgKernelTimeMs()

  DOCUMENTME

  Returns:
    DOCUMENTME

### getAvgRunTimeMs

    public double getAvgRunTimeMs()

  DOCUMENTME

  Returns:
    DOCUMENTME

### getKernelTimeMs

    public long getKernelTimeMs()

  DOCUMENTME

  Returns:
    DOCUMENTME

### incRunTime

    public void incRunTime(java.lang.String target,
                           long runTimeMs)

  DOCUMENTME

  Parameters:
    `target` - DOCUMENTME
    `runTimeMs` - DOCUMENTME

### printToStream

    public void printToStream(java.io.PrintStream ps)

  Print the statistics to an output stream in english human-readable form.

  Parameters:
    `ps` - destination

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD